Bug 844347 - 3.1 beta1 - VDSM: addNetwork Failed to attach bridge to bond interface
3.1 beta1 - VDSM: addNetwork Failed to attach bridge to bond interface
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
urgent Severity urgent
: beta
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 07:45 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-26.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:04:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (416.74 KB, application/x-compressed-tar)
2012-07-30 07:45 EDT, Avi Tal
no flags Details
engine log (29.78 KB, application/x-compressed-tar)
2012-07-30 07:45 EDT, Avi Tal
no flags Details
vdsm log using setupnetworks (678.10 KB, application/x-compressed-tar)
2012-07-31 05:15 EDT, Avi Tal
no flags Details

  None (edit)
Description Avi Tal 2012-07-30 07:45:13 EDT
Created attachment 601222 [details]
vdsm log

rhevm-3.1.0-9.el6ev.noarch (on cluster 3.1)
vdsm-4.9.6-24.0.el6_3.x86_64

Description of problem:
running addNetwork directly on host or using old REST API to attach bond interface to host leads to nicless bridge

running: 
# vdsClient 0 addNetwork bridge=sw2 bond=bond0 nics=eth2,eth3

result:
# brctl show
bridge name     bridge id               STP enabled     interfaces
rhevm           8000.001517a76a4c       no              eth0
sw2             8000.000000000000       no


note: this problem directly affect the creation of bond0 on sw2 via REST old API 
POST url: /api/hosts/ae11957e-d98d-11e1-b2c5-001a4a169763/nics 
body:
<host_nic>
    <name>bond0</name>
    <network>
        <name>sw2</name>
    </network>
    <bonding>
        <slaves>
            <host_nic>
                <name>eth2</name>
            </host_nic>
            <host_nic>
                <name>eth3</name>
            </host_nic>
        </slaves>
    </bonding>
</host_nic>
Comment 1 Avi Tal 2012-07-30 07:45:45 EDT
Created attachment 601223 [details]
engine log
Comment 3 Dan Kenigsberg 2012-07-30 11:23:53 EDT
I believe the error is due to premature ifup'ing of the bonding device:

::(ifup) can't add bond0 to bridge test-network: Invalid argument

which has been caused by the fix http://gerrit.ovirt.org/6217 for bug 842338 (how come this was not found during pre-integration?).

Please try this issue with the rhev-3.0 version of this fix.
Comment 4 Avi Tal 2012-07-31 05:14:29 EDT
I found the same issue with different scenario:
1. create bond bridged network  (via setupnetworks)
# brctl show
bridge name     bridge id               STP enabled     interfaces
rhevm           8000.001517a76a4c       no              eth0
sw2             8000.001d0968714e       no              bond0

2. edit bonding mode (via setupnetworks)
# brctl show
bridge name     bridge id               STP enabled     interfaces
rhevm           8000.001517a76a4c       no              eth0
sw2             8000.000000000000       no


This will lead to the same result of nicless bridge.

attaching vdsm log.
Comment 5 Avi Tal 2012-07-31 05:15:15 EDT
Created attachment 601482 [details]
vdsm log using setupnetworks
Comment 8 Igor Lvovsky 2012-08-01 12:42:24 EDT
http://gerrit.ovirt.org/#/c/6826/
Comment 9 Meni Yakove 2012-08-05 03:36:57 EDT
verified on vdsm-4.9.6-26.0.
Tested on SetupNetwork, RestAPI and vdsClient.
Comment 12 errata-xmlrpc 2012-12-04 14:04:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.